declare @id_funcionalidad as int
declare @licencia as varchar(100)
declare @id_tipoFuncionalidad as integer

 
set @id_tipoFuncionalidad = (select top 1 id from gui_tipofuncionalidad where tipoFuncionalidad = 'Botón Barra')
set @id_funcionalidad =(SELECT top 1  id FROM [gui_funcionalidad] where nombreControl='doc_documento_alquiler' ) 
set @licencia =(SELECT uid FROM [seg_usuario] where id=1) 

if not exists (select *  from gui_funcionalidad where active=1 and  id_tipoFuncionalidad=@id_tipoFuncionalidad and nombreControl='cargue_masivo' and id_funcionalidad  = @id_funcionalidad )
begin
insert into [gui_funcionalidad]           
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
 VALUES(@licencia,'01',1,1,getdate(),getdate(),1,'Cargue masivo','','compartir.gif','','','',0,0,'cargue_masivo','cargue_masivo',15,@id_funcionalidad,@id_tipoFuncionalidad)

end
